function main()
{
  var i, j, Entity, Attribute, IndexName, Index, IndexItem;
  var app = System.GetInterface("Application");
  var Model = app.Models.GetObject(0);
  //The parameter in GetObject determines here with which model the script should work.
  //0 is the first model listed in the Application View.
  //1 is the second model listed in the Application View
  //etc.
  Model.Lock();
  for ( i = 0; i < Model.Entities.Count; i++ )
  {                         
    Entity = Model.Entities.GetObject( i );
    for ( j = 0; j < Entity.Attributes.Count; j++ )
    {
      Attribute = Entity.Attributes.GetObject(j);
      if ( Attribute.Autoincrement && (! NumOfItemsIsOne(Attribute)) )
      {
        IndexName = "AIX_"+Attribute.Name;
        if (Entity.Indexes.GetObjectByName(IndexName) == null)
        {
          Index = Entity.CreateNewObject( 2012 );
          //Create new Index (2012 is object type of PERIndex)
          Index.Name = IndexName;
          IndexItem = Index.CreateNewObject( 2013 );
          //Create new Item of Index (2013 is object type of PERIndexItem)
          IndexItem.Attribute = Attribute;
          Log.Information("Index "+IndexName+" for autoincrement attribute "+Attribute.Name+" created on entity "+Entity.Name);
        }
      }
    }
  }
  Model.UnLock(); //Refresh all window associated with model  
}

function NumOfItemsIsOne(Attribute)
{
  var k;
  for (k=0; k<Attribute.IndexItems.Count; k++)
    if (Attribute.IndexItems.GetObject(k).Owner.IndexItems.Count == 1)
      return true;
  for (k=0; k<Attribute.KeyConstraintItems.Count; k++)
    if (Attribute.KeyConstraintItems.GetObject(k).Owner.KeyConstraintItems.Count == 1)
      return true;
  return false;
}
